The main Bubble source repository. Contains the Bubble API server, the web UI, documentation and utilities. https://getbubblenow.com
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 

64 lines
2.0 KiB

  1. #!/bin/bash
  2. #
  3. # Copyright (c) 2020 Bubble, Inc. All rights reserved. For personal (non-commercial) use, see license: https://getbubblenow.com/bubble-license/
  4. #
  5. #
  6. # Performs first-time setup after a fresh git clone.
  7. # Installs utility libraries.
  8. #
  9. # Before from running this script, if you want to run the Bubble Server, install dependencies
  10. # with the first_time_ubuntu.sh script. If you're running something other than Ubuntu (18.04 or 20.04),
  11. # please add a first_time_<your-OS>.sh in this directory.
  12. #
  13. # If you're going to run the Bubble Server, you will also need
  14. # Create environment files: ~/.bubble.env and ~/.bubble-test.env (one can be a symlink to the other)
  15. #
  16. # ~/.bubble.env is the environment used by the BubbleServer started by run.sh
  17. # ~/.bubble-test.env is the environment used by the BubbleServer that runs during the integration tests
  18. #
  19. function die {
  20. if [[ -z "${SCRIPT}" ]] ; then
  21. echo 1>&2 "${1}"
  22. else
  23. echo 1>&2 "${SCRIPT}: ${1}"
  24. fi
  25. exit 1
  26. }
  27. BASE=$(cd $(dirname $0)/.. && pwd)
  28. cd ${BASE}
  29. git submodule update --init --recursive || die "Error in git submodule update"
  30. pushd utils/cobbzilla-parent
  31. mvn install || die "Error installing cobbzilla-parent"
  32. popd
  33. UTIL_REPOS="
  34. cobbzilla-parent
  35. cobbzilla-utils
  36. restex
  37. templated-mail-sender
  38. cobbzilla-wizard
  39. abp-parser
  40. "
  41. pushd utils
  42. for repo in ${UTIL_REPOS} ; do
  43. pushd ${repo} && mvn -DskipTests=true -Dcheckstyle.skip=true clean install && popd || die "Error installing ${repo}"
  44. done
  45. popd
  46. if [[ -z "${BUBBLE_SETUP_MODE}" || "${BUBBLE_SETUP_MODE}" == "web" ]] ; then
  47. INSTALL_WEB=web mvn -DskipTests=true -Dcheckstyle.skip=true clean package || die "Error building bubble jar"
  48. elif [[ "${BUBBLE_SETUP_MODE}" == "debug" ]] ; then
  49. DEBUG_BUILD=debug mvn -DskipTests=true -Dcheckstyle.skip=true clean package || die "Error building bubble jar"
  50. elif [[ "${BUBBLE_SETUP_MODE}" == "production" ]] ; then
  51. BUBBLE_PRODUCTION=1 mvn -DskipTests=true -Dcheckstyle.skip=true clean package || die "Error building bubble jar"
  52. else
  53. die "env var BUBBLE_SETUP_MODE was invalid: ${BUBBLE_SETUP_MODE}"
  54. fi